PHP Manual
Prev |  | Next

# constant

(PHP 4 >= 4.0.4, PHP 5)

constant -- Returns the value of a constant

## Description

mixed constant ( string name )

Return the value of the constant indicated by `name`.

constant() is useful if you need to retrieve the value of a constant, but do not know its name. I.e. it is stored in a variable or returned by a function.

This function works also with class constants.

## Parameters

`name`

  The constant name.

## Return Values

Returns the value of the constant, or `NULL` if the constant is not defined.

## Examples

Example 1. constant() example

`<?php define("MAXSIZE", 100); echo MAXSIZE; echo constant("MAXSIZE"); // same thing as the previous line ?>`

## See Also

define()
defined()
The section on Constants

Prev | Home | Next
connection_timeout | Up | define